#include <iostream>

class Base1 {
public:
    void show() const { std::cout << "Base1\n"; }
};

class Base2 {
public:
    void display() const { std::cout << "Base2\n"; }
};

template<typename... Bases>
class Derived : public Bases... {
public:
    void showAll() const {
        (Bases::show(), ...);
    }

    void displayAll() const {
        (Bases::display(), ...);
    }
};

int main() {
    Derived<Base1, Base2> obj;
    obj.showAll();    // Calls Base1::show()
    obj.displayAll(); // Calls Base2::display()
    return 0;
}

